# Delinquo
#####*Commit a fault*

A really simple cucumber failure monitoring API and Gem.

###Example report
[Onesport](http://delinquo.co.uk/report/onesport)

###Getting Started

Add the 'delinquo-formatter' gem to your Gemfile
```ruby
git 'https://github.com/bbc-sport/delinquo.git' do
  gem 'delinquo-formatter'
end
```

Add a new profile to ```cucumber.yml``` in the root of your cucumber project. This profile runs the Delinquo formatter to post to the API
and the pretty formatter for a useful console output.

```
PROFILE_NAME: --format Cucumber::Formatter::Delinquo --out delinquo --format pretty delinquo_project=YOUR_PROJECT_NAME
```

Bundle
```
bundle install
```

Run cucumber with the new profile
```
bundle exec cucumber -p PROFILE_NAME
```

Once the build has finished, visit ```http://delinquo.co.uk/report/YOUR_PROJECT_NAME```

####Caveats

To use Delinquo as part of a CI build, ensure you have followed the [git setup for password caching](https://help.github.com/articles/set-up-git#set-up-git) set up 
