# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'delinquo/version'

Gem::Specification.new do |spec|
  spec.name          = "delinquo"
  spec.version       = Delinquo::VERSION
  spec.authors       = ["Steven Cook", "James Ruston"]
  spec.email         = ["stevenjamescook@gmail.com","jruston90@gmail.com"]
  spec.description   = %q{Commit a fault}
  spec.summary       = %q{A really simple cucumber failure monitoring api}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = ["delinquo"]
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rack-test'
  spec.add_development_dependency 'capybara'

  spec.add_dependency 'thin'
  spec.add_dependency 'sinatra'
  spec.add_dependency 'sinatra-activerecord'
  spec.add_dependency 'sqlite3'
  spec.add_dependency 'json'
  spec.add_dependency 'rake'
end
