require 'spec_helper'

describe Fail do

  after(:each) do
    Fail.delete_all
  end

  it "should not be valid without all required fields" do
    Fail.new.should_not be_valid
  end

  it "should be valid with all require fields" do
    fail = Fail.new feature: "a feature", scenario: "a scenario", step: "a step", line: "a line"
    fail.should be_valid
  end

end